<?php
/**
 * Author bio template part.
 *
 * @package WEN_Associate
 */

?>
<div class="authorbox <?php echo ( get_option( 'show_avatars' ) ) ? 'no-author-avatar' : ''; ?>">
	<?php if ( get_option( 'show_avatars' ) ) :  ?>
  <div class="author-avatar">
    <?php echo get_avatar( get_the_author_meta( 'user_email' ), '80', '' ); ?>
  </div>
	<?php endif ?>
  <div class="author-info">
    <h4 class="author-header">
		<?php esc_html_e( 'Written by', 'wen-associate-pro' ); ?>&nbsp;<?php  the_author_posts_link(); ?>
    </h4>
    <?php $wen_associate_user_url = get_the_author_meta( 'user_url' ); ?>
    <?php if ( ! empty( $wen_associate_user_url ) ) :  ?>
      <div class="author-footer"><a href="<?php echo esc_url( $wen_associate_user_url ); ?>" target="_blank"><?php esc_html_e( 'Website', 'wen-associate-pro' ); ?></a></div>
    <?php endif ?>
    <div class="author-content"><p><?php the_author_meta( 'description' ); ?></p></div>
  </div>
	<?php
	$author_bio_show_recent_posts = wen_associate_get_option( 'author_bio_show_recent_posts' );
	$author_bio_recent_posts_number = wen_associate_get_option( 'author_bio_recent_posts_number' );
	?>
	<?php if ( true === $author_bio_show_recent_posts && absint( $author_bio_recent_posts_number ) > 0 ) :  ?>

		<?php
		$custom_args = array(
		  'author'         => get_the_author_meta( 'ID' ),
		  'posts_per_page' => $author_bio_recent_posts_number,
		  );
		$all_posts = get_posts( $custom_args );
		?>

		<?php if ( ! empty( $all_posts ) ) :  ?>

        <ul class="author-bio-posts-list">
			<?php foreach ( $all_posts as $key => $p ) :  ?>
            <li><a href="<?php echo esc_url( get_permalink( $p->ID ) ); ?>"><?php echo apply_filters( 'the_title', $p->post_title ); ?></a></li>
			<?php endforeach ?>
        </ul>

		<?php endif ?>

	<?php endif ?>
</div>
